package es.verdnatura.presentation.view.feature.claim.fragment.ubication

import android.content.Context
import es.verdnatura.domain.SalixCallback
import es.verdnatura.domain.formatWithQuotes
import es.verdnatura.presentation.base.BaseViewModel

class ClaimViewModel(val context: Context) : BaseViewModel(context) {

    fun itemShelvingAddByClaim(claimFK: Int, shelvingFK: String) {
        salix.itemShelvingAddByClaim(arrayListOf(claimFK, shelvingFK).formatWithQuotes())
            .enqueue(object : SalixCallback<Unit>(context) {
            })
    }

}
